Bug 110927 - UDCT types aren't persisted, cause InvocationTargetException after restart
UDCT types aren't persisted, cause InvocationTargetException after restart
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 106481 113719
  Show dependency treegraph
 
Reported: 2003-11-25 11:32 EST by Jon Orris
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 16:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-11-25 11:32:06 EST
Description of problem:
@38266/postgres

The metadata for UDCTs isn't being persisted. If you restart the
server and attempt to access an item of a UTCT, you will get an 
InvocationTargetException.

To reproduce:
Create a simple UTCT
Create an item of that type
Restart server
Access item


Notice
An unexpected error has occurred	

An unexpected error has occurred. If this continues to be a problem
for you please contact the administrators of the site quoting the
following:

CCM issue report code: 127.0.0.1:660e34:f913bb449d

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 127.0.0.1:660e34:f913bb449d -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: null (root cause:
null) -*-*-*-
-*-*-*- Message 2: com.arsdigita.util.UncheckedWrapperException: null
(root cause: null) -*-*-*-
-*-*-*- Message 3: java.lang.reflect.InvocationTargetException: null
-*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aIR1pPDpUDE-;
ad_user_login=17!1164385876503!C5aoy/Id3R0V2er+04yzog==
Host: localhost:9000
Keep-Alive: 300
Referer: http://localhost:9000/ccm/content/admin/index.jsp
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aIR1pPDpUDE- (expires: -1)
ad_user_login: 17!1164385876503!C5aoy/Id3R0V2er+04yzog== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.reflect.InvocationTargetException:
com.arsdigita.persistence.PersistenceException: The Object Type you
have requested (com.arsdigita.cms.contenttypes.Snrub) does not exist
	at com.arsdigita.metadata.DynamicObjectType.(DynamicObjectType.java:309)
	at com.arsdigita.metadata.DynamicObjectType.(DynamicObjectType.java:268)
	at
com.arsdigita.cms.ui.authoring.PageEditDynamic.(PageEditDynamic.java:172)
	at
com.arsdigita.cms.ui.authoring.SecondaryPageEditDynamic.(SecondaryPageEditDynamic.java:67)
	at java.lang.reflect.Constructor.newInstance(Native Method)
	at
com.arsdigita.cms.ui.authoring.AuthoringKitWizard.instantiateUserDefinedStep(AuthoringKitWizard.java:345)
	at
com.arsdigita.cms.ui.authoring.AuthoringKitWizard.(AuthoringKitWizard.java:200)
	at
com.arsdigita.cms.ui.authoring.WizardSelector.instantiateKitComponent(WizardSelector.java:81)
	at
com.arsdigita.cms.ui.authoring.AuthoringKitSelector.processKit(AuthoringKitSelector.java:95)
	at com.arsdigita.cms.ui.authoring.WizardSelector.(WizardSelector.java:69)
	at com.arsdigita.cms.ui.ContentItemPage.(ContentItemPage.java:198)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:55)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:497)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:190)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:232)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:136)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:167)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:142)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:252)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:227)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:211)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:135)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:167)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:142)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:252)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:244)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:479)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=1021}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@700ff8
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@82876=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 1021
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/item.jsp?set_tab=1&item_id=19010

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/content/admin/item.jsp
Query string: item_id=19010&set_tab=1&
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/cms
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/usr/share/java/httpunit.jar:/usr/share/java/junit.jar::/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/home/jorris/dev/lib/classes12.zip:/core/etc/lib/junit.jar:/home/jorris/dev/lib/servlet.jar:/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/opt/resin/2.1.6/lib/resin.jar:/opt/resin/2.1.6/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.6/lib/jta-spec1_0_1.jar:/opt/resin/2.1.6/lib/jndi.jar:/opt/resin/2.1.6/lib/dom.jar:/opt/resin/2.1.6/lib/sax.jar:/opt/resin/2.1.6/lib/jaxp.jar:/opt/resin/2.1.6/lib/jmx.jar:/opt/resin/2.1.6/lib/webutil.jar:/opt/resin/2.1.6/lib/jdbc-mysql.jar:/usr/java/jdk1.3.1_06/lib/tools.jar:/usr/java/jdk1.3.1_06/jre/lib/rt.jar:/opt/resin/2.1.6/lib/jsdk23.jar
java.class.version: 47.0
java.ext.dirs:
/usr/java/jdk1.3.1_06/jre/lib/ext:/usr/java/jdk1.3.1_06/lib/ext:/usr/share/ccm-tools/lib/security
java.home: /usr/java/jdk1.3.1_06/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/jdk1.3.1_06/jre/lib/i386:/usr/java/jdk1.3.1_06/jre/lib/i386/native_threads/:/usr/java/jdk1.3.1_06/jre/lib/i386/client:/usr/java/jdk1.3.1_06/jre/../lib/i386:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1_06-b01
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.3.1_06
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.3.1_06-b01
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/cms/conf/log4j.properties
org.xml.sax.driver: com.caucho.xml.Xml
os.arch: i386
os.name: Linux
os.version: 2.4.20-20.9
path.separator: :
resin.home: /opt/resin/2.1.6
sun.boot.class.path:
/usr/java/jdk1.3.1_06/jre/lib/rt.jar:/usr/java/jdk1.3.1_06/jre/lib/i18n.jar:/usr/java/jdk1.3.1_06/jre/lib/sunrsasign.jar:/usr/java/jdk1.3.1_06/jre/classes
sun.boot.library.path: /usr/java/jdk1.3.1_06/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/jorris/webserver/resin-2.1.6
user.home: /home/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Archit Shah 2004-01-22 14:18:08 EST
they were persisted, but they weren't being loaded. fixed on dev (39625)

Note You need to log in before you can comment on or make changes to this bug.